Bug 148397 - Please update ports/mail/opendkim to latest version
Summary: Please update ports/mail/opendkim to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-06 05:30 UTC by Murray S. Kucherawy
Modified: 2010-07-22 03:40 UTC (History)
0 users

See Also:


Attachments
opendkim.diff (11.09 KB, patch)
2010-07-08 02:51 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Murray S. Kucherawy 2010-07-06 05:30:01 UTC
The current ports/mail/opendkim entry is quite old (v1.1.2, last November).  The current version is v2.1.1 dated last month, with another patch release imminent.

Email to the current maintainer has gotten no response for many months.

http://sourceforge.net/projects/opendkim

Thanks,
-MSK

Fix: 

Unfortunately I'm not skilled at FreeBSD port maintenance, so this will have to be assigned to someone who is.
How-To-Repeat: medusa[49954]% fgrep PORTVERSION /usr/ports/mail/opendkim/Makefile
PORTVERSION=    1.1.2
Comment 1 Edwin Groothuis freebsd_committer 2010-07-06 05:30:08 UTC
Maintainer of mail/opendkim,

Please note that PR ports/148397 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148397

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-06 05:30:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sahil Tandon freebsd_committer 2010-07-06 05:35:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 4 Sahil Tandon freebsd_committer 2010-07-08 02:51:43 UTC
Murray and Hirohisa,

Because the last PR for this port resulted in a maintainer timeout, I
have attached a preliminary patch that brings mail/opendkim to 2.1.2.  I
also made some other changes that are easily evident when reviewing the
diff.

Things to consider:

1) I am not a user of this port; thus, no runtime testing was performed.
I just made sure it compiles, installs, and respects NOPORTDOCS.  Please
apply the patch, test and report your results.

2) Because of 1, does my patch remove something that is required?

3) The upstream has been through several versions since the last port
update; are there any deprecated CONFIGURE_ARGS in Makefile (or
Makefile.features)?  Relatedly, are there new options we should now
support in Makefile.features?

4) Are the instructions in pkg-message still accurate?

4) Since we are going from 1.x -> 2.x, are there any compatibility
gotchas with previous versions that merit an entry in UPDATING?

Thanks,
-- 
Sahil Tandon <sahil@FreeBSD.org>
Comment 5 msk 2010-07-09 19:30:26 UTC
On Wed, 7 Jul 2010, Sahil Tandon wrote:
> 1) I am not a user of this port; thus, no runtime testing was performed.
> I just made sure it compiles, installs, and respects NOPORTDOCS.  Please
> apply the patch, test and report your results.

On visual inspection the patch looks fine.  I'll try it this weekend.

> 2) Because of 1, does my patch remove something that is required?

It didn't appear to do so.

> 3) The upstream has been through several versions since the last port
> update; are there any deprecated CONFIGURE_ARGS in Makefile (or
> Makefile.features)?  Relatedly, are there new options we should now
> support in Makefile.features?

Nothing has been deprecated recently but I'll make sure all of the newer 
stuff is appropriately covered.

> 4) Are the instructions in pkg-message still accurate?

Will verify.

> 4) Since we are going from 1.x -> 2.x, are there any compatibility 
> gotchas with previous versions that merit an entry in UPDATING?

There were isolated changes to the configuration file and command line 
arguments, but they may have been concealed by the port-provided 
start/stop script.  I'll confirm this and advise.

Thanks!

-MSK
Comment 6 Hirohisa Yamaguchi 2010-07-11 21:12:34 UTC
Hi,
Thanks for the patch, Sahil.

 # I've been away from packaging work over eight months. I got no
 # spare time.

At Wed, 7 Jul 2010 21:51:43 -0400,
Sahil Tandon wrote:
> Murray and Hirohisa,

> Things to consider:

> 3) The upstream has been through several versions since the last port
> update; are there any deprecated CONFIGURE_ARGS in Makefile (or
> Makefile.features)?  Relatedly, are there new options we should now
> support in Makefile.features?
I'm just making a patch for this.

I found some configure option causes build error.
please give me some days to fix those.


Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 7 Sahil Tandon freebsd_committer 2010-07-20 04:07:03 UTC
State Changed
From-To: feedback->open

Maintainer has provided new patch.
Comment 8 dfilter service freebsd_committer 2010-07-22 03:30:28 UTC
sahil       2010-07-22 02:30:19 UTC

  FreeBSD ports repository

  Modified files:
    mail/opendkim        Makefile Makefile.features distinfo 
                         pkg-descr pkg-plist 
    mail/opendkim/files  milter-opendkim.in 
  Removed files:
    mail/opendkim/files  patch-FEATURES 
                         patch-opendkim__Makefile.in 
  Log:
  - Update to 2.1.3
  - Define OPTIONS
  - Respect NOPORTDOCS
  - Remove unnecessary patches
  - Fix alignment in Makefile header
  
  PR:             ports/148397
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)
  
  Revision  Changes    Path
  1.4       +52 -30    ports/mail/opendkim/Makefile
  1.2       +31 -14    ports/mail/opendkim/Makefile.features
  1.3       +3 -3      ports/mail/opendkim/distinfo
  1.3       +3 -1      ports/mail/opendkim/files/milter-opendkim.in
  1.2       +0 -12     ports/mail/opendkim/files/patch-FEATURES (dead)
  1.2       +0 -11     ports/mail/opendkim/files/patch-opendkim__Makefile.in (dead)
  1.2       +6 -4      ports/mail/opendkim/pkg-descr
  1.3       +7 -110    ports/mail/opendkim/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Sahil Tandon freebsd_committer 2010-07-22 03:30:44 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!